*** /opt/jboss/wildfly/docs/contrib/scripts/init.d/wildfly.conf    1969-12-21 17:00:00.000000000 -0700
--- /opt/jboss/wildfly/docs/contrib/scripts/init.d/wildfly.conf    1969-12-21 17:00:00.000000000 -0700
***************
*** 9,17 ****
--- 9,25 ----
  
  ## Location of WildFly
  # JBOSS_HOME="/opt/wildfly"
+ JBOSS_HOME=${HOME}/wildfly
  
  ## The username who should own the process.
  # JBOSS_USER=wildfly
+ if [ ${JBOSS_HOME}/extras/user.conf ] ; then
+     . ${JBOSS_HOME}/extras/user.conf
+ else
+     JBOSS_USER=jboss
+     JBOSS_GROUP=jboss
+ if
+ 
  
  ## The mode WildFly should start, standalone or domain
  # JBOSS_MODE=standalone
***************
*** 25,36 ****
--- 33,52 ----
  
  ## The amount of time to wait for startup
  # STARTUP_WAIT=60
+ STARTUP_WAIT=10
  
  ## The amount of time to wait for shutdown
  # SHUTDOWN_WAIT=60
+ SHUTDOWN_WAIT=30
  
  ## Location to keep the console log
  # JBOSS_CONSOLE_LOG="/var/log/wildfly/console.log"
+ JBOSS_CONSOLE_LOG=${JBOSS_HOME}/standalone/log/console.log
+ 
+ # Location of JBoss PID and lock files
+ #
+ JBOSS_PIDFILE=${JBOSS_HOME}/standalone/jboss-as-standalone.pid
+ JBOSS_LOCKFILE=${JBOSS_HOME}/standalone/jboss-as-lock
  
  ## Additionals args to include in startup
  # JBOSS_OPTS="--admin-only -b 127.0.0.1"
